[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Xen-changelog] [xen staging] automation: Only build QEMU if Python >= 3.5



commit d25b3ef3f9a32162d24fa3e84a9a38f035a1487c
Author:     Anthony PERARD <anthony.perard@xxxxxxxxxx>
AuthorDate: Mon Jan 20 11:50:51 2020 +0000
Commit:     Wei Liu <wl@xxxxxxx>
CommitDate: Mon Jan 27 14:44:07 2020 +0000

    automation: Only build QEMU if Python >= 3.5
    
    Recent version of QEMU will not build anymore if Python < 3.5.
    That is, QEMU 4.3 not released yet.
    
    That check would also prevent the GitLab CI from building QEMU if
    python3 binary isn't present.
    
    Signed-off-by: Anthony PERARD <anthony.perard@xxxxxxxxxx>
    Acked-by: Doug Goldstein <cardoe@xxxxxxxxxx>
---
 automation/scripts/build | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/automation/scripts/build b/automation/scripts/build
index 83c44e6ce7..0cd0f3971d 100755
--- a/automation/scripts/build
+++ b/automation/scripts/build
@@ -28,8 +28,8 @@ if [[ "${CC}" == "clang"* ]]; then
     cfgargs+=("--disable-stubdom")
 fi
 
-# Qemu requires Python 2.7 or later
-if python -c "import sys; res = sys.version_info < (2, 7); exit(not(res))"; 
then
+# Qemu requires Python 3.5 or later
+if ! type python3 || python3 -c "import sys; res = sys.version_info < (3, 5); 
exit(not(res))"; then
     cfgargs+=("--with-system-qemu=/bin/false")
 fi
 
--
generated by git-patchbot for /home/xen/git/xen.git#staging

_______________________________________________
Xen-changelog mailing list
Xen-changelog@xxxxxxxxxxxxxxxxxxxx
https://lists.xenproject.org/xen-changelog

 


Rackspace

Lists.xenproject.org is hosted with RackSpace, monitoring our
servers 24x7x365 and backed by RackSpace's Fanatical Support®.